:root {
  --color-primary: #2353A3;
  --color-secondary: #F9F9F9;
}

body {
  min-width: 390px;
  font-family: 'Montserrat', sans-serif;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

a {
  color: inherit;
}

a:focus,
a:hover {
  color: inherit;
}

button {
  overflow: hidden;
  position: relative;
  z-index: 0;
}

button::after {
  content: '';
  position: absolute;
  top: -2px;
  left: -1px;
  width: calc(100% + 2px);
  height: calc(100% + 3px);
  z-index: 1;
  background-color: transparent;
  transition: background-color 0.08s ease;
}

button.light:hover::after {
  background-color: rgba(0, 0, 0, 0.02);
}

button.light:active::after {
  background-color: rgba(0, 0, 0, 0.04);
}

button.medium:hover::after {
  background-color: rgba(0, 0, 0, 0.05);
}

button.medium:active::after {
  background-color: rgba(0, 0, 0, 0.09);
}

button.dark:hover::after {
  background-color: rgba(0, 0, 0, 0.06);
}

button.dark:active::after {
  background-color: rgba(0, 0, 0, 0.1);
}

p,
h1,
hr {
  margin: 0px;
}

@media (max-width: 576px) {
  .container-fluid-sm {
    height: 100% !important;
    width: 100% !important;
    box-shadow: none !important;
    border: none !important;
  }

  .w-100-sm {
    width: 100% !important;
    max-width: none !important;
  }

  .border-color-sm-transparent {
    border-color: transparent !important;
  }

  .code-input {
    width: 47px !important;
    height: 48px !important;
  }
}

@media (max-width: 767px) {
  .rounded-md-top {
    border-radius: 6px 6px 0px 0px !important;
  }

  .rounded-md-bottom {
    border-radius: 0px 0px 6px 6px !important;
  }
}

input::placeholder {
  color: #8e98a5;
  font-size: 12.5px;
  font-weight: 400;
}

select,
textarea,
button,
input {
  outline: none;
  color: #41415b;
}

.custom-scroll {
  scrollbar-width: none;
}

.custom-scroll::-webkit-scrollbar {
  display: none;
}

.z-2 {
  z-index: 2;
}

.h-0 {
  height: 0px !important;
}

.no-select {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.selectable {
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
}

.code-input {
  width: 54px;
  height: 55px;
  text-align: center;
  font-size: 25px;
  font-weight: 600;
  border: 1px solid #dfdfe7;
  outline: 0px solid #f1f1f1;
  border-radius: 10px;
  box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.08);
  transition: outline 0.1s ease;
}

.code-input:focus {
  outline: 3px solid #f3f3f7;
}

@keyframes slideInOut {
  0% {
    top: -10px;
    opacity: 0;
    box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.05);
  }

  10% {
    top: 30px;
    opacity: 1;
  }

  20% {
    box-shadow: 0px 3px 7px rgba(0, 0, 0, 0.05);
  }

  90% {
    top: 30px;
    opacity: 1;
    box-shadow: 0px 3px 7px rgba(0, 0, 0, 0.05);
  }

  95% {
    opacity: 0;
  }

  100% {
    top: -10px;
    opacity: 0;
    box-shadow: 0px 0px 0px rgba(0, 0, 0, 0.05);
  }
}

.error {
  color: #ef5b5b !important;
}

.error input {
  background-color: #ffefef !important;
  border-color: #ef5b5b !important;
  color: #ef5b5b !important;
}

.error input::placeholder {
  color: #ef5b5b !important;
}

.error #toggle-icon {
  color: #ef5b5b !important;
}